%global npmname kuler

Name:           nodejs-%{npmname}
Version:        2.0.0
Release:        1%{?dist}
Summary:        Color your terminal using CSS/hex color codes

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Version 2.0 = 2.0.0.
Source0:        https://github.com/3rd-Eden/%{npmname}/archive/2.0/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-assume

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Kuler is small and nifty node module that allows you to create
terminal based colors using hex color codes, just like you're
used to doing in your CSS.

%prep
# 2.0 = 2.0.0.
%autosetup -n %{npmname}-2.0

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 2.0.0-1
- Initial package for Fedora.
